unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Chart1: TChart;
    Series1: TLineSeries;
    Series2: TLineSeries;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var x: double;
begin
  Series1.Clear;
  Series2.Clear;
  x:=-5;
  repeat
     Series1.AddXY(x,1/x,'',clRed);
     x:=x+0.2;
  until x>=0;
  x:=0.2;  //ominieto punkt nieciągŁości funkcji - zero
  repeat
     Series2.AddXY(x,1/x,'',clRed);
     x:=x+0.2;
  until x>=5;
end;

end.
